Author Topic: Should 4.1 be made available again?  (Read 14494 times)

0 Members and 1 Guest are viewing this topic.

Offline techie101returns

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1900
Should 4.1 be made available again?
« on: November 25, 2004, 05:12:03 AM »
I have been contacted by many users having problems with the new 4.5 and their email clients.  I myself have lost email scanning on outbound mail for all 3 of my clients: Outlook Express (was working great with 4.1), Pegasus and Thunderbird .7 on my W98 and ME machines.

After 3 days, I have given up trying to manually configure them.  Even when I use the Mail Protection Wizard, it configures the clients, but SMTP still fails to authenticate.

As has been said by other users, shutting down Avast restores outbound mail whereas firewall shutdown does  not affect the condition at all.

I think that it should be up to the user now whether 4.1 or 4.5 should be installed.  

I would like the Avast Team to comment on how this matter can be resolved, and consider making 4.1 available temporarily.

« Last Edit: November 25, 2004, 05:15:24 AM by Techie101 »

Offline GYL

  • Full Member
  • ***
  • Posts: 153
  • Liberté Egalité Fraternité
Re:Should 4.1 be made available again?
« Reply #1 on: November 25, 2004, 09:08:59 AM »
I don't know,if it's a good idea.For me avast! 4.5 has not been tried enough.Beta has been used only by forum member's.
I've the same problem as yours Techie .I've recommended Avast! to many people,but i've not your abilities for reply them

Offline osborneuk

  • Jr. Member
  • **
  • Posts: 56
Re:Should 4.1 be made available again?
« Reply #2 on: November 25, 2004, 10:49:46 AM »
running avast with outbound scanning turned off 4.5.531 as if I turn it on my mail client won't send email and then times out from the ISP and Avast itself reports its own timeout.  Tried endless suggested 'tricks' but none works so far.  XPhome SP2, ZoneAlarm,Turnpike mail client, BTinternet ISP, Broadband.

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31352
  • Watching (over?) you
    • Malware removal, Biljart and other things.
Re:Should 4.1 be made available again?
« Reply #3 on: November 25, 2004, 12:58:50 PM »
My personal experience with 4.5 (from the 1st beta till now)

- Problems when using Opera mail and the first beta (solved with the second beta)
- Still problems with the screensaver (had that already with 4.1, sofar not solved)
- Problem with rar files containing many files (80+, solved)

I know that the problems with Thunderbird (imap) are caused by the way TB is handling the mail, but there is a solution for.

Another thing I have noticed is that a lot of people using XP and Outlook (Express) and somehow the mail setup in avast4.ini seems to be wrong. I have tried to replicate the problem on my systems but wasn't able to on none of them.

Only this morning I though I had it replicate when the mail wasn't working, but it turned out that my ISP was working on their mailservers :P

4.1 back (temporary)? I would say no. To me it feels like giving blood to someone who is bleeding, but not doing anything to stop the bleeding.

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67275
Re:Should 4.1 be made available again?
« Reply #4 on: November 25, 2004, 01:32:31 PM »
4.1 back (temporary)? I would say no. To me it feels like giving blood to someone who is bleeding, but not doing anything to stop the bleeding.

I feel the same... Ahead not backward ;D
The best things in life are free.

Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 82762
  • No support PMs thanks
Re:Should 4.1 be made available again?
« Reply #5 on: November 25, 2004, 02:31:49 PM »
For me no problems at all with the official release of 4.5, I have never used any of the beta versions and waited patiently for the official release.

I even forgot to run MPW to remove mail protection (i.e. set everything back to normal) before I downloaded the official 4.5 release (manual update). Every thing went ok, all OE accounts set back to as they should. No problems sending email with or without attachments.

It would be interesting to find out if people who have installed 4.5 as their first installation of avast (e.g. never had 4.1) if they experienced any of the problems.

I don't think you can not unwind the clock. The more people who install 4.1 and have to manually setup their email accounts to work with avast, the more we are simply storing up potential for future problems. The fact that they will also lose out on some of the enhancements/protection is also a factor.
WinXP ProSP3/ Core2Duo E8300/ 4GB Ram/ avast! free 18.5.2342/ Firefox ESR, uBlock Origin, uMatrix/ MailWasher Pro7.11.0/ DropMyRights/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security
Windows 10 Home 1909 64bit/ Acer Aspire F15/ Intel Core i5 7200U 2.5GHz, 8GB DDR4 memory, 256GB SSD, 1TB HDD/ avast! free 20.2.2401 (build 20.2.5130.565) UI-1.0.502/ WinPatrol+/ Firefox, uBlock Origin, uMatrix/ MailWasher Pro

Offline techie101returns

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1900
Re:Should 4.1 be made available again?
« Reply #6 on: November 25, 2004, 03:27:36 PM »
I can understand the points made here, but look at it this way.....

If users cannot configure their system using Avast and have no protection (usually on the SMTP side from the posts), isn't it better to revert to a version that worked with their OS then leave them stranded????

Right now, I for one have no outbound scanning on my ME or W98 machines which I need to test programs and work problems for users.  4.1 worked fine on both before the update.

I have had to revert to previous program releases when I could not get a new release of a program to work properly.

I don't like trading one set of email problems in 4.1 (which were solved ) for another in 4.5!  That's not going forward....is it?

The new features of 4.5 are of no use if a user can't get it to work properly.

I feel terrible when a user contacts me with email trouble and I can't even solve my own any more.

What I don't understand is why the team at Avast is not saying much about a solution here!

It makes sense to "wait" only if help is forthcoming.  Thunderbird is not a "rarely" used email client.  It has become very popular.
« Last Edit: November 25, 2004, 03:31:50 PM by Techie101 »

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67275
Re:Should 4.1 be made available again?
« Reply #7 on: November 25, 2004, 05:25:31 PM »
What I don't understand is why the team at Avast is not saying much about a solution here!

In my opinion, silence is the worst thing for a support team  :P

This is the reason because we do not ask for support in ZoneAlarm, AVG, Symantec products and a lot of others...  :P  :(
The best things in life are free.

Offline MikeBCda

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 2251
Re:Should 4.1 be made available again?
« Reply #8 on: November 25, 2004, 08:20:38 PM »
If users cannot configure their system using Avast and have no protection (usually on the SMTP side from the posts), isn't it better to revert to a version that worked with their OS then leave them stranded????

I have had to revert to previous program releases when I could not get a new release of a program to work properly.

Good point, Techie.  I've had no problems with 4.5 (so far) myself, but that's just me.

And it's very common, in forums all over the net, to see recommendations to get specific earlier versions of whatever software because of widespread problems with the most current version.  Sometimes it even goes so far as a warning to avoid using the most current version.
Intel Atom D2700, 2 gig RAM, Win 7 x64 SP1 & IE-11, Firefox 51.0
(default). 320 gig HD, 15Mb DSL, Win firewall, Avast 12.3.2280 free, SpywareBlaster, MBAM Prem., Crypto-Prevent

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11665
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Should 4.1 be made available again?
« Reply #9 on: November 25, 2004, 08:40:17 PM »
Techie, I understand your point but - to make long story short, our plan is to fix all the problems instead of retreating to the old version.

I believe the 4.5.536 build (availble from the sticky thread in the avast Home/Pro forum section) is already very very stable one and fixes virtually all the problems (except for those that are intimately related to 3rd party firewalls; that is, which are simply incompatibilities with 3rd party apps).

We'll be releasing it as a public (official) build probably during tomorrow.


Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

Offline techie101returns

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1900
Re:Should 4.1 be made available again?
« Reply #10 on: November 25, 2004, 08:44:34 PM »
David,

No, I think that any copy of 4.1 must come from Alwil.

I may have a copy of an early release of 4.1 but need to insure that the new vps updates will work with it.  I still want to know why things got messed up and why the normal fixes do not work.

UPDATE:
My Thunderbird .9 is being scanned by Avast both ways now.  I uninstalled 531, and reinstalled it completely, then updated again.  It seemed to take much longer than when originally installed, but once done, I rebooted and configured TB manually.
Now it works.  I really don't know what happened but some file must have become corrupted.
Unfortunately, OE still does not connect on the SMTP side, but it was only used as backup.  

I'll be thankful for small favors.  

 :D
« Last Edit: November 25, 2004, 08:46:19 PM by Techie101 »

neal62

  • Guest
Re:Should 4.1 be made available again?
« Reply #11 on: November 25, 2004, 08:45:47 PM »
I must say that I did not have any problems at all using Thunderbird 0.9 and Avast Home 4.1 using Wins XP Home SP1, then SP2. My incoming and outgoing mail was scanned just fine then. Now with version 4.5 once again no problems with it scanning incoming/outgoing mail using the same Thunderbird 0.9 version. I waited until both of these official versions were out of their Beta stage before using them and have had absolutely no probems with e-mail, scanning, or any other issues with e-mail. In fact, not having any problems with any other programs using Avast 4.5 just as I was not having any problems with any other programs using Xp home sp1 and sp2 with either Avast 4.1/4.5 versions. Guess I am just lucky or something else may be the difference??

Offline techie101returns

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1900
Re:Should 4.1 be made available again?
« Reply #12 on: November 25, 2004, 08:50:57 PM »
neal,

Sometimes we never figure out why a release works with one system and not another identical system configuration.

I had W9x, ME and XP working fine with OE, TB, Pegasus and 4.1.  The update to 4.5 seemed to cause difficulty.
XP is fine, ME with TB is fine but not OE, W9x has to be checked again.  I think OE was working but not Pegasus.

All the problems users are having are configuration related but what makes things difficult is that the configuration for one client does not always work with an identical client on another machine.

Oh well....I'll keep at it.

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11665
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Should 4.1 be made available again?
« Reply #13 on: November 25, 2004, 08:54:57 PM »
Basically, we found the following issues in 4.5.523:

Windows 9x: OUTGOING mail does not work if SMTP server requires authorization

Windows NT/2K/XP: big problems with mail in conjunction with a number of 3rd party firewalls. Namely: Norton Personal Firewall, PC-Cillin. Sometimes also Sygate, Outpost or even ZoneAlarm...

OTHER configurations have had no severe problems AFAWK (except for misconfigured firewall rules etc).


Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

neal62

  • Guest
Re:Should 4.1 be made available again?
« Reply #14 on: November 25, 2004, 08:55:53 PM »
Techie101, Yep I understand exactly what can happen as you say. There sometimes is no rhyme or reason for things to act as they do. I am also using Sygate P.F. version 5.6. Good luck. :)
« Last Edit: November 25, 2004, 09:02:59 PM by neal62 »